TaskMonitor
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.executor.stubs
Class TaskMonitor

    java.lang.Object
      org.gcube.vremanagement.executor.stubs.TaskMonitor

All Implemented Interfaces:
  org.globus.wsrf.NotifyCallback

    public abstract class TaskMonitor

extends java.lang.Object
implements org.globus.wsrf.NotifyCallback

A monitor of tasks in execution.

Author:
  Fabio Simeoni (University of Strathclyde)

Nested Class Summary
`static class` | `TaskMonitor.TaskTopic` Topics relative to task execution.

Constructor Summary
`TaskMonitor(TaskMonitor.TaskTopic... topics)` Creates a monitor for one more `TaskTopics`.

Method Summary
`void` | `deliver(java.util.List topicPath, org.apache.axis.message.addressing.EndpointReferenceType producer, java.lang.Object message)`
`java.util.List<TaskMonitor.TaskTopic>` | `getTopics()` Returns the monitor's topics.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskMonitor

    public TaskMonitor(TaskMonitor.TaskTopic... topics)

  Creates a monitor for one more `TaskTopics`.

  Parameters:
    `topics` - (optional) the topics (all by default).

Method Detail

### getTopics

    public java.util.List<TaskMonitor.TaskTopic> getTopics()

  Returns the monitor's topics.

  Returns:
    the topics.

### deliver

    public void deliver(java.util.List topicPath,
                        org.apache.axis.message.addressing.EndpointReferenceType producer,
                        java.lang.Object message)

  Specified by:
    `deliver` in interface `org.globus.wsrf.NotifyCallback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD